Skip to main content
GET
/
safe-house
/
evaluations
Query inbound Safe House evaluations
curl --request GET \
  --url https://api.mnemom.ai/v1/safe-house/evaluations \
  --header 'Authorization: Bearer <token>'
{
  "data": [
    {
      "id": "<string>",
      "agent_id": "<string>",
      "session_id": "<string>",
      "mode": "<string>",
      "surface": "<string>",
      "threats": [
        {
          "type": "<string>",
          "confidence": 123
        }
      ],
      "overall_risk": 123,
      "detector_scores": {},
      "detection_sources": "<array>",
      "session_multiplier": 123,
      "duration_ms": 123,
      "created_at": "2023-11-07T05:31:56Z"
    }
  ],
  "pagination": {
    "total": 123,
    "limit": 123,
    "after": "<string>"
  },
  "meta": {}
}

Authorizations

Authorization
string
header
required

Supabase JWT token in Authorization: Bearer header

Query Parameters

agent_id
string
verdict
string
threat_type
string
from
string<date-time>
to
string<date-time>
min_risk
number
limit
integer
default:25
Required range: x <= 100
after
string

Response

Evaluation page.

data
object[]
required
pagination
object
required
meta
object